#pragma once
#include "esp_err.h"
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

esp_err_t eeprom_virtual_init(void);
esp_err_t eeprom_virtual_write_bin(const char *key, const void *data, size_t len);
esp_err_t eeprom_virtual_read_bin(const char *key, void *buf, size_t *len);
esp_err_t eeprom_virtual_erase_key(const char *key);
esp_err_t eeprom_virtual_erase_all(void);

#ifdef __cplusplus
}
#endif
